define({"544":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000542973953930847,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"545":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000635279696183259,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"546":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000635279696183259,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"547":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000635279696183259,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"548":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000635279696183259,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"549":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000635279696183259,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"550":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000542973953930847,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"551":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000773738309561877,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"552":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000773738309561877,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"553":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000542973953930847,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"554":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000589126825057053,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"555":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000589126825057053,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"556":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000589126825057053,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"557":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000589126825057053,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"558":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000589126825057053,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"559":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000589126825057053,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"560":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000589126825057053,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"561":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000589126825057053,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"562":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000589126825057053,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"563":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000589126825057053,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"564":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000542973953930847,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"565":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000658356131746362,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"566":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000658356131746362,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"567":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000658356131746362,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"568":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000658356131746362,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"569":{y:0,u:"../Content/Resources/MasterPages/_FT_Glossary.htm",l:-1,t:"Glossary",i:0.000542973953930847,a:"Glossary"},"570":{y:0,u:"../Content/Service/ServiceActions/_ACI_FromDisk.htm",l:-1,t:"FromDisk",i:0.00123098100870849,a:"FromDisk Specifies whether the log stream is read from disk or memory. Type  True if you want the log stream to be read from disk rather than from memory. "},"571":{y:0,u:"../Content/Actions/SharedParameters/_ACI_TemplateParamCSVs.htm",l:-1,t:"TemplateParamCSVs",i:0.000664949566026018,a:"A comma-separated list of variables to set in the XSL template.  If you specify an XSL template in the  Template  parameter, you can set the XSLT variables for the template by setting TemplateParamCSVs. Set a variable by adding the parameter name and the value, separated by a comma. To set multiple ..."},"572":{y:0,u:"../Content/Actions/General/_ACI_DiskReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00374824460402827,a:"The maximum number of levels to print in the output for a disk report. Query Manipulation Server always counts all objects, but for this number of levels, Query Manipulation Server also prints details of the components, items, directories, and files.  To print the whole directory tree, set this ..."},"573":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Template.htm",l:-1,t:"Template",i:0.00646866138109252,a:"Template The name of the XSL template to apply to the action output. Exclude the file path and file extension."},"574":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Reference_ModelSummarize.htm",l:-1,t:"Reference",i:0.00216536515551637,a:"One or more IDOL document references for the document that you want to summarize. Separate multiple references with a plus (+) or a space. You must percent-encode document references to ensure that any reserved characters that are part of a reference are not interpreted as action syntax. If you send ..."},"575":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/SecurityInfo.htm",l:-1,t:"SecurityInfo",i:0.00264754759639221,a:"The SecurityInfo string for the user sending the action.  In index mode, Query Manipulation Server sends the security string to the index Content component, and only returns suggestions for terms that exist in documents that the user is permitted to see.  QMS uses the Content secure term expansion, ..."},"576":{y:0,u:"../Content/Actions/QMS/ActionParameters/Text_GetSynonyms.htm",l:-1,t:"Text",i:0.00409113060797154,a:"Text The input text to return synonyms for."},"577":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00290927222973193,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"578":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/FieldRestriction.htm",l:-1,t:"FieldRestriction",i:0.00264754759639221,a:"When you have set  Mode  to Index, you can add a field restriction to the expansion to return only terms that appear in the specified field.  Set FieldRestriction to a list of the fields from which you want to return result terms. Separate multiple fields with colons (:). Query Manipulation Server ..."},"579":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/MaxResults.htm",l:-1,t:"MaxResults",i:0.00264754759639221,a:"MaxResults The maximum number of values to return as suggestions."},"580":{y:0,u:"../Content/Actions/General/_ACI_Format.htm",l:-1,t:"Format",i:0.0024050951911547,a:"Format Type  XML to display the request log in XML format. "},"581":{y:0,u:"../Content/Actions/General/_ACI_Refresh.htm",l:-1,t:"Refresh",i:0.0024050951911547,a:"Refresh The number of seconds to elapse before the request log refreshes. "},"582":{y:0,u:"../Content/Actions/QMS/ActionParameters/Text_ExpandText.htm",l:-1,t:"Text",i:0.00234548053172655,a:"Text The query text to expand."},"583":{y:0,u:"../Content/Actions/QMS/ActionParameters/LanguageType.htm",l:-1,t:"LanguageType",i:0.00234548053172655,a:"LanguageType Query Manipulation Server assumes that the query is in the language and encoding specified by the  DefaultLanguageType  configuration parameter. To send text in another language or encoding, add the LanguageType parameter to the action to specify the language and encoding."},"584":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",l:-1,t:"ActionID",i:0.000664949566026018,a:"A string to use to identify an ACI action. You can use this parameter to track actions where the action is passed between multiple IDOL components. Each IDOL component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ..."},"585":{y:0,u:"../Content/Actions/QMS/ActionParameters/References.htm",l:-1,t:"References",i:0.00409113060797154,a:"References A comma-separated list of document references to specify the synonym rules to obtain keywords for. Synonym rules are documents indexed into your IDOL Agentstore component, so each rule has a reference."},"586":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.0024050951911547,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"587":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00374824460402827,a:"MaxDepth The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels. "},"588":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Text_ModelSummarize.htm",l:-1,t:"Text",i:0.00216536515551637,a:"Text The text that you want to summarize."},"589":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Text_ModelEncode.htm",l:-1,t:"Text",i:0.00142509314669658,a:"Text The text to encode into embeddings."},"590":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Model_ModelEncode.htm",l:-1,t:"Model",i:0.00142509314669658,a:"Model The name of the configuration section where you configure the model that you want to use to encode an embedding."},"591":{y:0,u:"../Content/Configuration/SSL/_ACI_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.0182970093210296,a:"Identifies the configuration section in which the SSL configuration details are specified, usually SSLOptionN. You must set this parameter if you are using SSL connections between components. To control incoming ACI calls, set this parameter in the [Server] section. To control outgoing ACI calls, ..."},"592":{y:0,u:"../Content/Actions/General/_ACI_Data.htm",l:-1,t:"Data",i:0.001239254073876,a:"Data The encrypted version of the original action. To send an encrypted action, encrypt the action and then send it in the Data parameter of the  Encrypted  action. "},"593":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/MinScore.htm",l:-1,t:"MinScore",i:0.00264754759639221,a:"MinScore The minimum score that a term in the dictionary or index must have to return as a suggestion."},"594":{y:0,u:"../Content/Actions/LLMs/ActionParameters/ID_ModelSummarize.htm",l:-1,t:"ID",i:0.00216536515551637,a:"ID One or more IDOL document IDs of documents that you want to summarize. Separate multiple IDs with a plus (+) or a space."},"595":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Behavior.htm",l:-1,t:"Behavior",i:0.00332153521259458,a:"The type of expansion to use for terms. You can use one of the following values:  Trailing. Expand the text from the end of the word or phrase that the user provides. In this case, QMS uses a trailing wildcard (term*) to return only expansion options that start with the value that the user types. ..."},"596":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/ManageFile.htm",l:-1,t:"ManageFile",i:0.00140500420920346,a:"A file upload that contains the changes that you want to make to the dictionary file. You can use the following methods to send the file to Query Manipulation Server. Upload the file directly with an HTTP POST request. Files must be uploaded as multipart/form-data. Send the file as a URL-encoded, ..."},"597":{y:0,u:"../Content/Actions/LLMs/ActionParameters/SecurityInfo_ModelSummarize.htm",l:-1,t:"SecurityInfo",i:0.00208844370363936,a:"The encrypted security information for the user who wants to summarize documents. Use this option if you want to summarize secure documents (that is, documents that are not accessible to everyone). You generate a user SecurityInfo token by sending the UserRead action to the IDOL Community component, ..."},"598":{y:0,u:"../Content/Lua/_LUA_HTTP_Client_Config.htm",l:-1,t:"HTTP Client Parameters",i:0.00364284931593095,a:"This page describes the HTTP Client options that you can use with the Lua function  send_http_request . When configuring authentication, do not set more than one of the following combinations. BasicUsername and BasicPassword DigestUsername and DigestPassword NTLMUsername and NTLMPassword You can ..."},"599":{y:0,u:"../Content/Service/ServiceActions/_ACI_Logs.htm",l:-1,t:"Logs",i:0.00290927222973193,a:"Logs The log files to include in the diagnostic ZIP file. You can use one of the following options: Action Diagnostic Type: String Default: Current Required: No Example: Logs=Full See Also:"},"600":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/TermExpandParameter.htm",l:-1,t:"TermExpandParameter",i:0.00264754759639221,a:"When you have set  Mode  to Index, you can add the following parameters from the IDOL Server TermExpand action, to specify how it performs the expansion. Query Manipulation Server forwards these parameters to the IDOL Server data index. Stemming. Whether to return the list of terms in unstemmed ..."},"601":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Output.htm",l:-1,t:"Output",i:0.00541447089695201,a:"Type  File to write action output to a file. If you set Output to  File, you must use the  FileName  parameter to specify the name and the location of the file that you want to write the output to. The path that you specify in  FileName  must be listed in the  AllowedOutputDirectoryCSVs  ..."},"602":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Mode_TypeAheadManage.htm",l:-1,t:"Mode",i:0.00092041530353172,a:"Mode The  TypeAhead  method that you want to manage. You can use one of the following options:  Dictionary. Manage the configured dictionary file."},"603":{y:0,u:"../Content/Actions/LLMs/ActionParameters/StateID_ModelSummarize.htm",l:-1,t:"StateID",i:0.00216536515551637,a:"The ID of a state token (created earlier by using the IDOL Content component Query action with the StoreState parameter) that lists the documents that you want to summarize.  If you specify the token ID only, QMS summarizes all documents listed in the token. If you add a (zero-based) index range, or ..."},"604":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/ManageMode.htm",l:-1,t:"ManageMode",i:0.00228040746356272,a:"The operation to perform on the dictionary. You can use one of the following values: Add. Add words to the dictionary.  Edit. Modify existing terms in the index to change or remove the score.  Remove. Remove existing terms.   Persist. Save changes to the dictionary file to disk. You can specify the ..."},"605":{y:0,u:"../Content/Actions/General/_ACI_IP.htm",l:-1,t:"IP",i:0.001239254073876,a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request."},"606":{y:0,u:"../Content/Service/ServiceActions/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00123098100870849,a:"Tail Type the number of lines from the log stream to return. The lines are read from the top (that is, the most recent lines are returned). Type  -1 to return all entries."},"607":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.00123098100870849,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"608":{y:0,u:"../Content/Actions/General/_ACI_Tail.htm",l:-1,t:"Tail",i:0.0024050951911547,a:"Tail The number of most recent requests that the log must display. "},"609":{y:0,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",l:-1,t:"FileName",i:0.00296607991615984,a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. Query Manipulation Server cannot write the output file to directories that ..."},"610":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Text_TypeAheadManage.htm",l:-1,t:"Text",i:0.00180309045620852,a:"The updates to the dictionary file.  Specify a list of  word,score pairs that you want to add, remove, or modify in the dictionary (according to the value that you have set for  ManageMode ). The score value is optional. If you include a score, the minimum allowed score value is -230, and the ..."},"611":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Text.htm",l:-1,t:"Text",i:0.00264754759639221,a:"Text The string that you want to expand with suggestions. The action returns possible expansions for this string from the dictionary or the index."},"612":{y:0,u:"../Content/Configuration/Paths/_ACI_TemplateDirectory.htm",l:-1,t:"TemplateDirectory",i:0.00361966235254954,a:"TemplateDirectory The path to the directory that contains your XSL templates. You can use XSL templates to transform action responses."},"613":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ResponseFormat.htm",l:-1,t:"ResponseFormat",i:0.00405918926663793,a:"The format in which you want to receive the action output. You can use one of the following response formats: XML. XML format. Config. Config format (that is, similar to the Query Manipulation Server configuration file). json. Default JSON format, as you configure in  JSONFormat . json/0. A JSON ..."},"614":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Model_ModelSummarize.htm",l:-1,t:"Model",i:0.00216536515551637,a:"Model The name of the configuration section where you configure the model that you want to use to summarize."},"615":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Mode.htm",l:-1,t:"Mode",i:0.0078228174549991,a:"The method to use to generate the terms that the action returns. You can use one of the following options:  Dictionary. You supply a text document that lists the words that you want to return in the action. If you want to use Dictionary mode, you must set the  DictionaryFile  configuration parameter ..."},"616":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ForceTemplateRefresh.htm",l:-1,t:"ForceTemplateRefresh",i:0.00616473957594808,a:"ForceTemplateRefresh If you specify a Template to use for your action results, you can set ForceTemplateRefresh to  True to force the ACI server  to reload this template from disk rather than from the cache."},});